"""
This file contains the configuration for the kernel network
"""

import os

#
# General configurations

SOURCE_PATH = os.path.abspath("..")

MODEL_NAME = "lstm16_ep200_snr4.0_v0"
NOISE_RATIO = 0.0
DEVICE = "GPU"  # or "CPU" - for grid sizes > 25x25 the GPU version is faster
VISUALIZE_RESULTS = False

#
# Training parameters

SAVE_MODEL = True
CONTINUE_TRAINING = False

EPOCHS = 200
SEQ_LEN = 200  # 200
LEARNING_RATE = 0.001

#
# Testing parameters

TEACHER_FORCING_STEPS = 50  # 15
CLOSED_LOOP_STEPS = 150  # 135

# Active tuning parameters (part of testing)
ACTIVE_TUNING = True
AT_TF_RATE = 0.0  # Teacher forcing rate (proportion of TF from 0 to 1)

AT_LENGTH = 2  # History length
AT_CYCLES = 5  # Number of optimization cycles/repititions
AT_ETA = 0.005  # Tuning rate

ADAM_BETA1 = 0.9
ADAM_BETA2 = 0.999
ADAM_EPSILON = 1e-8
ADAM_RESET_OPTIMIZER = False

#
# PK specific configurations

PK_ROWS = 16  # 16  # Rows of PKs
PK_COLS = 16  # 16  # Cols of PKs

PK_NEIGHBORS = 8
PK_DYN_IN_SIZE = 1  # the z-value of the wave field
PK_LAT_IN_SIZE = 1
PK_PRE_LAYER_SIZE = 4
PK_NUM_LSTM_CELLS = 16
PK_DYN_OUT_SIZE = 1
PK_LAT_OUT_SIZE = 1
